import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Schema for Module Fragment of type JFrog::Artifactory::EC2Instance::MODULE
 *
 * @schema CfnEc2InstanceModuleProps
 */
export interface CfnEc2InstanceModuleProps {
    /**
     * @schema CfnEc2InstanceModuleProps#Parameters
     */
    readonly parameters?: CfnEc2InstanceModulePropsParameters;
    /**
     * @schema CfnEc2InstanceModuleProps#Resources
     */
    readonly resources?: CfnEc2InstanceModulePropsResources;
}
/**
 * Converts an object of type 'CfnEc2InstanceModuleProps' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModuleProps(obj: CfnEc2InstanceModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParameters
 */
export interface CfnEc2InstanceModulePropsParameters {
    /**
     * Secret name created in AWS Secrets Manager, which contains the SSL certificate and certificate key.
     *
     * @schema CfnEc2InstanceModulePropsParameters#SmCertName
     */
    readonly smCertName?: CfnEc2InstanceModulePropsParametersSmCertName;
    /**
     * Logical Id of the MODULE
     *
     * @schema CfnEc2InstanceModulePropsParameters#LogicalId
     */
    readonly logicalId?: CfnEc2InstanceModulePropsParametersLogicalId;
    /**
     * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnEc2InstanceModulePropsParameters#PrivateSubnet2Id
     */
    readonly privateSubnet2Id?: CfnEc2InstanceModulePropsParametersPrivateSubnet2Id;
    /**
     * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnEc2InstanceModulePropsParameters#PrivateSubnet1Id
     */
    readonly privateSubnet1Id?: CfnEc2InstanceModulePropsParametersPrivateSubnet1Id;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#MinScalingNodes
     */
    readonly minScalingNodes?: CfnEc2InstanceModulePropsParametersMinScalingNodes;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#MaxScalingNodes
     */
    readonly maxScalingNodes?: CfnEc2InstanceModulePropsParametersMaxScalingNodes;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DeploymentTag
     */
    readonly deploymentTag?: CfnEc2InstanceModulePropsParametersDeploymentTag;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#HostRole
     */
    readonly hostRole?: CfnEc2InstanceModulePropsParametersHostRole;
    /**
     * JFrog Artifactory product you want to install into an AMI.
     *
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryProduct
     */
    readonly artifactoryProduct?: CfnEc2InstanceModulePropsParametersArtifactoryProduct;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#QsS3BucketName
     */
    readonly qsS3BucketName?: CfnEc2InstanceModulePropsParametersQsS3BucketName;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#QsS3KeyPrefix
     */
    readonly qsS3KeyPrefix?: CfnEc2InstanceModulePropsParametersQsS3KeyPrefix;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#QsS3Uri
     */
    readonly qsS3Uri?: CfnEc2InstanceModulePropsParametersQsS3Uri;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryLicensesSecretName
     */
    readonly artifactoryLicensesSecretName?: CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryServerName
     */
    readonly artifactoryServerName?: CfnEc2InstanceModulePropsParametersArtifactoryServerName;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryS3Bucket
     */
    readonly artifactoryS3Bucket?: CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabaseUrl
     */
    readonly databaseUrl?: CfnEc2InstanceModulePropsParametersDatabaseUrl;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabaseDriver
     */
    readonly databaseDriver?: CfnEc2InstanceModulePropsParametersDatabaseDriver;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabasePluginUrl
     */
    readonly databasePluginUrl?: CfnEc2InstanceModulePropsParametersDatabasePluginUrl;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabasePlugin
     */
    readonly databasePlugin?: CfnEc2InstanceModulePropsParametersDatabasePlugin;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabaseType
     */
    readonly databaseType?: CfnEc2InstanceModulePropsParametersDatabaseType;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabaseUser
     */
    readonly databaseUser?: CfnEc2InstanceModulePropsParametersDatabaseUser;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#DatabasePassword
     */
    readonly databasePassword?: CfnEc2InstanceModulePropsParametersDatabasePassword;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryPrimary
     */
    readonly artifactoryPrimary?: CfnEc2InstanceModulePropsParametersArtifactoryPrimary;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#MasterKey
     */
    readonly masterKey?: CfnEc2InstanceModulePropsParametersMasterKey;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ExtraJavaOptions
     */
    readonly extraJavaOptions?: CfnEc2InstanceModulePropsParametersExtraJavaOptions;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryVersion
     */
    readonly artifactoryVersion?: CfnEc2InstanceModulePropsParametersArtifactoryVersion;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#KeyPairName
     */
    readonly keyPairName?: CfnEc2InstanceModulePropsParametersKeyPairName;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#TargetGroupARN
     */
    readonly targetGroupArn?: CfnEc2InstanceModulePropsParametersTargetGroupArn;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#SSLTargetGroupARN
     */
    readonly sslTargetGroupArn?: CfnEc2InstanceModulePropsParametersSslTargetGroupArn;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#InternalTargetGroupARN
     */
    readonly internalTargetGroupArn?: CfnEc2InstanceModulePropsParametersInternalTargetGroupArn;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#HostProfile
     */
    readonly hostProfile?: CfnEc2InstanceModulePropsParametersHostProfile;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#SecurityGroups
     */
    readonly securityGroups?: CfnEc2InstanceModulePropsParametersSecurityGroups;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#InstanceType
     */
    readonly instanceType?: CfnEc2InstanceModulePropsParametersInstanceType;
    /**
     * @schema CfnEc2InstanceModulePropsParameters#ArtifactoryEfsFileSystem
     */
    readonly artifactoryEfsFileSystem?: CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem;
    /**
     * Directory to store Artifactory data. Can be used to store data (via symlink) in detachable volume
     *
     * @schema CfnEc2InstanceModulePropsParameters#UserDataDirectory
     */
    readonly userDataDirectory?: CfnEc2InstanceModulePropsParametersUserDataDirectory;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParameters(obj: CfnEc2InstanceModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsResources
 */
export interface CfnEc2InstanceModulePropsResources {
    /**
     * @schema CfnEc2InstanceModulePropsResources#ArtifactoryScalingGroup
     */
    readonly artifactoryScalingGroup?: CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup;
    /**
     * @schema CfnEc2InstanceModulePropsResources#ArtifactoryLaunchConfiguration
     */
    readonly artifactoryLaunchConfiguration?: CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsResources(obj: CfnEc2InstanceModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Secret name created in AWS Secrets Manager, which contains the SSL certificate and certificate key.
 *
 * @schema CfnEc2InstanceModulePropsParametersSmCertName
 */
export interface CfnEc2InstanceModulePropsParametersSmCertName {
    /**
     * @schema CfnEc2InstanceModulePropsParametersSmCertName#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersSmCertName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersSmCertName' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersSmCertName(obj: CfnEc2InstanceModulePropsParametersSmCertName | undefined): Record<string, any> | undefined;
/**
 * Logical Id of the MODULE
 *
 * @schema CfnEc2InstanceModulePropsParametersLogicalId
 */
export interface CfnEc2InstanceModulePropsParametersLogicalId {
    /**
     * @schema CfnEc2InstanceModulePropsParametersLogicalId#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersLogicalId#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersLogicalId' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersLogicalId(obj: CfnEc2InstanceModulePropsParametersLogicalId | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet2Id
 */
export interface CfnEc2InstanceModulePropsParametersPrivateSubnet2Id {
    /**
     * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet2Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet2Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersPrivateSubnet2Id' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersPrivateSubnet2Id(obj: CfnEc2InstanceModulePropsParametersPrivateSubnet2Id | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet1Id
 */
export interface CfnEc2InstanceModulePropsParametersPrivateSubnet1Id {
    /**
     * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet1Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersPrivateSubnet1Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersPrivateSubnet1Id' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersPrivateSubnet1Id(obj: CfnEc2InstanceModulePropsParametersPrivateSubnet1Id | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersMinScalingNodes
 */
export interface CfnEc2InstanceModulePropsParametersMinScalingNodes {
    /**
     * @schema CfnEc2InstanceModulePropsParametersMinScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersMinScalingNodes' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersMinScalingNodes(obj: CfnEc2InstanceModulePropsParametersMinScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersMaxScalingNodes
 */
export interface CfnEc2InstanceModulePropsParametersMaxScalingNodes {
    /**
     * @schema CfnEc2InstanceModulePropsParametersMaxScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersMaxScalingNodes' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersMaxScalingNodes(obj: CfnEc2InstanceModulePropsParametersMaxScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDeploymentTag
 */
export interface CfnEc2InstanceModulePropsParametersDeploymentTag {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDeploymentTag#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDeploymentTag' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDeploymentTag(obj: CfnEc2InstanceModulePropsParametersDeploymentTag | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersHostRole
 */
export interface CfnEc2InstanceModulePropsParametersHostRole {
    /**
     * @schema CfnEc2InstanceModulePropsParametersHostRole#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersHostRole' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersHostRole(obj: CfnEc2InstanceModulePropsParametersHostRole | undefined): Record<string, any> | undefined;
/**
 * JFrog Artifactory product you want to install into an AMI.
 *
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryProduct
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryProduct {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryProduct#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryProduct#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryProduct' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryProduct(obj: CfnEc2InstanceModulePropsParametersArtifactoryProduct | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersQsS3BucketName
 */
export interface CfnEc2InstanceModulePropsParametersQsS3BucketName {
    /**
     * @schema CfnEc2InstanceModulePropsParametersQsS3BucketName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersQsS3BucketName' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersQsS3BucketName(obj: CfnEc2InstanceModulePropsParametersQsS3BucketName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersQsS3KeyPrefix
 */
export interface CfnEc2InstanceModulePropsParametersQsS3KeyPrefix {
    /**
     * @schema CfnEc2InstanceModulePropsParametersQsS3KeyPrefix#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersQsS3KeyPrefix' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersQsS3KeyPrefix(obj: CfnEc2InstanceModulePropsParametersQsS3KeyPrefix | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersQsS3Uri
 */
export interface CfnEc2InstanceModulePropsParametersQsS3Uri {
    /**
     * @schema CfnEc2InstanceModulePropsParametersQsS3Uri#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersQsS3Uri' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersQsS3Uri(obj: CfnEc2InstanceModulePropsParametersQsS3Uri | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName(obj: CfnEc2InstanceModulePropsParametersArtifactoryLicensesSecretName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryServerName
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryServerName {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryServerName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryServerName' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryServerName(obj: CfnEc2InstanceModulePropsParametersArtifactoryServerName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket(obj: CfnEc2InstanceModulePropsParametersArtifactoryS3Bucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabaseUrl
 */
export interface CfnEc2InstanceModulePropsParametersDatabaseUrl {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabaseUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabaseUrl' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabaseUrl(obj: CfnEc2InstanceModulePropsParametersDatabaseUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabaseDriver
 */
export interface CfnEc2InstanceModulePropsParametersDatabaseDriver {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabaseDriver#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabaseDriver' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabaseDriver(obj: CfnEc2InstanceModulePropsParametersDatabaseDriver | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabasePluginUrl
 */
export interface CfnEc2InstanceModulePropsParametersDatabasePluginUrl {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabasePluginUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabasePluginUrl' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabasePluginUrl(obj: CfnEc2InstanceModulePropsParametersDatabasePluginUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabasePlugin
 */
export interface CfnEc2InstanceModulePropsParametersDatabasePlugin {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabasePlugin#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabasePlugin' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabasePlugin(obj: CfnEc2InstanceModulePropsParametersDatabasePlugin | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabaseType
 */
export interface CfnEc2InstanceModulePropsParametersDatabaseType {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabaseType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabaseType' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabaseType(obj: CfnEc2InstanceModulePropsParametersDatabaseType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabaseUser
 */
export interface CfnEc2InstanceModulePropsParametersDatabaseUser {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabaseUser#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabaseUser' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabaseUser(obj: CfnEc2InstanceModulePropsParametersDatabaseUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersDatabasePassword
 */
export interface CfnEc2InstanceModulePropsParametersDatabasePassword {
    /**
     * @schema CfnEc2InstanceModulePropsParametersDatabasePassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersDatabasePassword' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersDatabasePassword(obj: CfnEc2InstanceModulePropsParametersDatabasePassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryPrimary
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryPrimary {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryPrimary#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryPrimary' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryPrimary(obj: CfnEc2InstanceModulePropsParametersArtifactoryPrimary | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersMasterKey
 */
export interface CfnEc2InstanceModulePropsParametersMasterKey {
    /**
     * @schema CfnEc2InstanceModulePropsParametersMasterKey#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersMasterKey' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersMasterKey(obj: CfnEc2InstanceModulePropsParametersMasterKey | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersExtraJavaOptions
 */
export interface CfnEc2InstanceModulePropsParametersExtraJavaOptions {
    /**
     * @schema CfnEc2InstanceModulePropsParametersExtraJavaOptions#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersExtraJavaOptions' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersExtraJavaOptions(obj: CfnEc2InstanceModulePropsParametersExtraJavaOptions | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryVersion
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryVersion {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryVersion#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryVersion' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryVersion(obj: CfnEc2InstanceModulePropsParametersArtifactoryVersion | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersKeyPairName
 */
export interface CfnEc2InstanceModulePropsParametersKeyPairName {
    /**
     * @schema CfnEc2InstanceModulePropsParametersKeyPairName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersKeyPairName' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersKeyPairName(obj: CfnEc2InstanceModulePropsParametersKeyPairName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersTargetGroupArn
 */
export interface CfnEc2InstanceModulePropsParametersTargetGroupArn {
    /**
     * @schema CfnEc2InstanceModulePropsParametersTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersTargetGroupArn(obj: CfnEc2InstanceModulePropsParametersTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersSslTargetGroupArn
 */
export interface CfnEc2InstanceModulePropsParametersSslTargetGroupArn {
    /**
     * @schema CfnEc2InstanceModulePropsParametersSslTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersSslTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersSslTargetGroupArn(obj: CfnEc2InstanceModulePropsParametersSslTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersInternalTargetGroupArn
 */
export interface CfnEc2InstanceModulePropsParametersInternalTargetGroupArn {
    /**
     * @schema CfnEc2InstanceModulePropsParametersInternalTargetGroupArn#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersInternalTargetGroupArn' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersInternalTargetGroupArn(obj: CfnEc2InstanceModulePropsParametersInternalTargetGroupArn | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersHostProfile
 */
export interface CfnEc2InstanceModulePropsParametersHostProfile {
    /**
     * @schema CfnEc2InstanceModulePropsParametersHostProfile#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersHostProfile' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersHostProfile(obj: CfnEc2InstanceModulePropsParametersHostProfile | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersSecurityGroups
 */
export interface CfnEc2InstanceModulePropsParametersSecurityGroups {
    /**
     * @schema CfnEc2InstanceModulePropsParametersSecurityGroups#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersSecurityGroups' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersSecurityGroups(obj: CfnEc2InstanceModulePropsParametersSecurityGroups | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersInstanceType
 */
export interface CfnEc2InstanceModulePropsParametersInstanceType {
    /**
     * @schema CfnEc2InstanceModulePropsParametersInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersInstanceType' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersInstanceType(obj: CfnEc2InstanceModulePropsParametersInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem
 */
export interface CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem {
    /**
     * @schema CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem(obj: CfnEc2InstanceModulePropsParametersArtifactoryEfsFileSystem | undefined): Record<string, any> | undefined;
/**
 * Directory to store Artifactory data. Can be used to store data (via symlink) in detachable volume
 *
 * @schema CfnEc2InstanceModulePropsParametersUserDataDirectory
 */
export interface CfnEc2InstanceModulePropsParametersUserDataDirectory {
    /**
     * @schema CfnEc2InstanceModulePropsParametersUserDataDirectory#Type
     */
    readonly type: string;
    /**
     * @schema CfnEc2InstanceModulePropsParametersUserDataDirectory#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsParametersUserDataDirectory' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsParametersUserDataDirectory(obj: CfnEc2InstanceModulePropsParametersUserDataDirectory | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup
 */
export interface CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup {
    /**
     * @schema CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup(obj: CfnEc2InstanceModulePropsResourcesArtifactoryScalingGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration
 */
export interface CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration {
    /**
     * @schema CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration#Type
     */
    readonly type?: string;
    /**
     * @schema CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration' to JSON representation.
 */
export declare function toJson_CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration(obj: CfnEc2InstanceModulePropsResourcesArtifactoryLaunchConfiguration | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `JFrog::Artifactory::EC2Instance::MODULE`
 *
 * @cloudformationResource JFrog::Artifactory::EC2Instance::MODULE
 * @stability external
 * @link http://unknown-url
 */
export declare class CfnEc2InstanceModule extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "JFrog::Artifactory::EC2Instance::MODULE";
    /**
     * Resource props.
     */
    readonly props: CfnEc2InstanceModuleProps;
    /**
     * Create a new `JFrog::Artifactory::EC2Instance::MODULE`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnEc2InstanceModuleProps);
}
